	<?php
if ($_SESSION['mdp2'] == 1) $_POST['mot_de_passe'] = $mdp;
if (isset($_POST['mot_de_passe']))
{
    $mot_de_passe = $_POST['mot_de_passe'];
}else{
    $mot_de_passe = "";
}
 
if ($mot_de_passe == $mdp) // Si le mot de passe est bon
{
$_SESSION['mdp2'] = 1;


?>
<form name="devoir" enctype="multipart/form-data" method="post" action="#">
<input type="hidden" name="mot_de_passe" type="text" value="<? echo $mdp; ?>"> 
<input type="hidden" name="classe" type="text" value="<? echo $_POST["classe"]; ?>"> 

<?
if(isset($_POST["classe"])){// Si une classe a été séléctionnée
	if($_POST["classe"] != ""){

	if(isset($_POST["newdevoir"])){// Si l'utilisateur veut créer un nouveau devoir a rendre
	$newfolder = urldecode($_POST['newdevoir']);
	mkdir ($content_dir.$_POST["classe"].'/'.$newfolder, 0777); // création du dossier correspondant
	$_POST['folder'] = $newfolder;
	}
	?>
	<h2 style="text-align: center;">Classe de <? echo $_POST["classe"]; ?></h2>
 
<div style="text-align : center;">
Liste des devoirs à rendre :<br /><br />
<select name="folder">
<option value="0"></option>
<?php 
$d = dir($content_dir.$_POST["classe"].'/'); 
while($entry = $d->read()) { 
    if($entry=="." || $entry==".."){
    }else{
print "<option value=\"$entry\">$entry</option>";
    }
} 
$d->close(); 
?>  
</select>
<input type="submit" id="submit" name="Submit" value="Rechercher" />
</form>
<?
if($_POST['folder']=="0"){
echo '<br /><span class="important">Erreur. Vous n\'avez pas sélectionné le devoir</span>'; 
}
?>
</div>
<br /><br />

<form name="devoir" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<input type="hidden" name="mot_de_passe" type="text" value="<? echo $mdp; ?>"> 
<input type="hidden" name="classe" type="text" value="<? echo $_POST["classe"]; ?>"> 
Ajouter un devoir à la classe de <? echo $_POST["classe"]; ?> : <input name="newdevoir" type="text" value=""> 
<input type="submit" id="submit" name="Submit" value="Ajouter" />
</div>
</form>




<?

if(!empty($_POST['folder'])){
echo '<br /><i><h3>'.$_POST['folder'].' :</h3></i><br />';
$nb = 0;
$d = dir($content_dir.$_POST["classe"].'/'.urldecode($_POST['folder'])); 
while($entry = $d->read()) { 
    if($entry=="." || $entry==".." || $entry==$devoir_corrige){
    }else{

$corrige = 0;
$entry2 = explode('.', $entry);
$dir = $content_dir.$_POST["classe"].'/'.$_POST["folder"].'/'. $devoir_corrige.'/';

if(!file_exists($dir)){// Si le dossier qui sontient les corrigés n'existe pas, on le créait
mkdir ($dir, 0777); 
}
	



$open = opendir($dir); // On ouvre le répertoire
while ($file = readdir($open)) // Tant qu'il y a des fichiers à lire
{
        if (is_file($dir.$file)) // On vérifie que la valeur est un fichier (pour écarter les sous-dossiers)
        {
            $correction = explode('.',  $file);
			if ($correction[0] == $entry2[0]){
			echo '<a href="'.$dir.$file.'" alt="Télécharger le corrigé" title"Télécharger le corrigé"><img src="'.$images.'nolu.png" alt="Corrigé déjà mis en ligne" title="Corrigé déjà mis en ligne"></a> ';
			$corrige = '1';
			}
        }
}
closedir($open); // Et enfin on ferme le dossier
if ($corrige != '1'){
echo '<a href="index.php?page=corrige&fichier2='.$entry.'&classe='.$_POST["classe"].'&devoir='.$folder.'" alt="Mettre en ligne le corrigé" title="Mettre en ligne le corrigé"> <img src="'.$images.'lu.png" alt="Corrigé pas encore mis en ligne" title="Corrigé pas encore mis en ligne"></a> ';
}

echo ' <a href="'.$content_dir.$_POST["classe"].'/'.rawurlencode($_POST['folder']).'/'.urldecode($entry).'" title="Télécharger le fichier de l\'élève" alt="Télécharger">'.$entry.'</a><br />';
$nb ++;
    }
} 

echo '<br />Il y a <b>'.$nb.'</b> devoirs rendus';
}


	
	
	}else{
	$classe2 = '<span class="important">Indiquez votre classe !</span>';
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Classe de l\'élève :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++) // tant que $i est inferieur au nombre d'éléments du tableau... 
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br>';
if (isset($classe2)){echo $classe2;}
echo'<br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
	}
}else{
	echo'<form name="classe" enctype="multipart/form-data" method="post" action="#">
<div style="text-align : center;">
<b>Classe de l\'élève :</b><br /><br />
<select name="classe">
<option value="">classe</option>';
for($i=0;$i<sizeof($classes);$i++) // tant que $i est inferieur au nombre d'éléments du tableau... 
    { 
echo '<option value="'.$classes[$i].'">'.$classes2[$classes[$i]].'</option>';
    } 
echo'</select><br><br><br>
<input type="submit" id="submit" name="Submit" value="Valider" />
</div>
</form>';
}
?>
</form>








<?
}
else {// le mot de passe n'est pas bon

if($mot_de_passe == "motdepasse"){
$mdpf= '<span class="important">Vous n\'avez pas indiqué de mot de passe !</span>';
}elseif($mot_de_passe != "" && $mot_de_passe != $mpd){
$mdpf= '<span class="important">Mauvais mot de passe !</span>';
}

?>
<form name="auth" enctype="multipart/form-data" method="post" action="#">
Damned ! L'accès aux données de cette page est protégé par un mot de passe !
<br /><br /><br /><div style="text-align : center;">
<b>Mot de passe :</b><br /><br />
<input type="password" value="motdepasse" name="mot_de_passe" class="form" onfocus="if (this.value=='motdepasse') this.value=''" onblur="if (this.value=='') this.value='motdepasse'" /><br />
<? if (isset($mdpf)){echo $mdpf;} ?>

<br /><br />
<input type="submit" id="submit" name="Submit" value="Valider" />
</form>
</div>
<?
}
?>